package com.memorynotfound.hibernate;

import javax.persistence.*;

public class App {

    public static void main (String...args) throws InterruptedException {

        EntityManagerFactory emf = Persistence.createEntityManagerFactory("hibernate-dynamic");
        EntityManager em = emf.createEntityManager();

        em.getTransaction().begin();
        Event event = new Event();
        event.setName("Hibernate dynamic-update - @DynamicUpdate - example");
        event.setLocation(null);
        event.setDate(null);
        em.persist(event);
        em.getTransaction().commit();

        em.getTransaction().begin();
        Event updateEvent = em.find(Event.class, 1);
        updateEvent.setLocation("Belgium - Antwerp");
        em.persist(event);
        em.getTransaction().commit();

        emf.close();
    }
}
